/*
* ==================
* Стили шорткодов
* ==================
*/

/* Стили шорткода Promo Hero */
.promo-hero {
    border-radius: 10px;
    color: #FFF;
    font-weight: bold;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease;
    padding: 20px;
    background-color: #153445;
    border: 2px solid #E99127;
}
.inner-content {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}
.promo-hero__left {
    width: 50%;
}
.promo-hero__right {
    width: 50%;
    border-radius: 20px;
    overflow: hidden;
}
.promo-hero__title {
    text-align: left;
}
.promo-hero__descr {
    margin: 10px 0;
    /* text-align: center; */
    color: #D0D6DA;
    font-size: 0.9em;
}
.promo-hero__btn {
    background-color: #50E0E3;
    color: #153445;
    border: none;
    padding: 8px 16px;
    border-radius: 5px;
    cursor: pointer;
    margin-top: 10px;
    font-weight: bold;
    transition: .5s;
    text-decoration:none;
}
.promo-hero__btn:hover{
    background-color: rgba(80, 224, 227, 0.8);
    transition: .5s;
    color:#fff !important;
}
.promo-hero__img {
    width: 100%;
    object-fit: cover;
    transition: transform 0.5s ease-out;
}
@media (max-width: 992px) {
    .inner-content {
        flex-direction: column-reverse;
    }
    .promo-hero__left{
        width: 100%;
        margin-top: 15px;
        text-align: center;
    }
    .promo-hero__right{
        width: 100%;
    }
    .promo-hero__title{
        text-align: center;
    }
}
/* Конец стилей шорткода Promo Hero */

/* Стили шорткода Single Game */
.game {
    border-radius: 15px;
    overflow: hidden;
    max-width: 20%;
    width: 100%;
    /*         cursor: pointer; */
}
.game:hover .game-overlay {
    opacity: 1;
    pointer-events: all;
    transition: .5s ease;
    z-index:1;
}
.game__img-wraper {
    width: 100%;
    position: relative;
    border-radius: 10px;
    overflow: hidden;
}
.game__img {
    width: 100%;
    object-fit: cover;
    display: block;
    width: 100%;
    height: auto;

    will-change: transform;
    transform: translate3d(0,0,0) scale(1.08);
    transition: transform 0.5s ease-out;
}
.game__content {

}
.game__content-text {
    margin-top: 10px;
    margin-bottom: 0 !important;
    transition: transform 0.5s ease-out;
}
.game-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .5);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 0;
    border-radius: 10px;
    overflow: hidden;
    opacity: 0;
    pointer-events: none;
    transition: .5s ease;
}
.game-overlay__link {
    display: block;
    background-color: blue;
    border-radius: 5px;
    padding: 10px 15px;
    text-decoration: none;
    color: #fff;
}
.game-overlay__link:hover{
    color: #fff !important;
}
.game:hover .game__content-text{
    color: #ebaa5c;
    transition: transform 0.5s ease-out;
}
@media (max-width: 992px) {
    .game {
        border-radius: 15px;
        overflow: hidden;
        max-width: 45%;
        width: 100%;
    }
    .game-overlay {
        opacity: 1;
        pointer-events: all;
        z-index:1;
    }
}
/* Конец стилей шорткода Single Game */

/* Стили шорткода Game Wraper */
.game-wrapwer{
    width:100%;
    display:flex;
    flex-wrap:wrap;
    justify-content:space-between;
    gap: 20px;
}
/* Конец стилей шорткода Game Wraper */

/* Стили Fixed Header */
.custom-header__menu{
    display:none;
}

@media only screen and (max-width: 768px) {
    .custom-header__menu{
        display:flex;
        background: #07231f;
        position: fixed;
        top: 0;
        left: 0;
        right: 0;
        z-index: 1000;
        justify-content: space-between;
        align-items: center;
        padding: 15px 10px;
        transition: 0.7s ease-in-out;
        transform: translateY(-400px);
    }
    .custom-header__menu a img{
        height:37px;
    }
    .header__buttons{
        display:flex;
    }
    .header__buttons-reg{
        text-decoration:none;
        font-size:13px;
        padding:0.3em 0.5em;
        color: #fff;
        text-transform: uppercase;
        border-radius: 5px;
        font-weight: 700;
        background-image: linear-gradient(70deg, #e59029 -8%, #fc9723 96%);
        box-shadow: 0 5px 30px rgba(229, 144, 41, 0.5);
    }
    .header__buttons-log{
        text-decoration:none;
        font-size:13px;
        padding:0.3em 0.5em;
        color: #fff;
        text-transform: uppercase;
        border-radius: 5px;
        font-weight: 700;
        background-image: linear-gradient(70deg, #353535 -8%, #5b5b5b 100%);
        box-shadow: 0 5px 30px rgba(53, 53, 53, 0.5);
    }
    .is-scrolled{
        transition: 0.7s ease-in-out;
        transform: translateY(0px);
    }
}
/* Конец стилей Fixed Header */






/*
* =====================
* общие правки стилей
* =====================
*/
.footer-container{
    display:flex;
    justify-content:center;
    gap:20px;
    flex-wrap:wrap;
}
.table-of-contents__hide{
    display:block;
}

/*фикс списков*/
.entry-content .su-list ul>li:before,
.entry-content .su-list ol:not([class])>li:before{
    display:none ;
}
.entry-content ul:not([class])>li:before{
    display:none ;
}



/*ориентация карточек (текст картинка)*/
@media only screen and (max-width: 992px) {
    .su-column-size-1-2:has(img) {
        order:-1;
    }
}

/*мобильное меню*/
.mobile-menu-placeholder.js-mobile-menu-placeholder.open {
    position: fixed;
    z-index: 100;
    top: 0;
    bottom: 112px;
    background: #013e51;
    left: 0;
    right: 0;
    padding-top: 150px;
}
.mobile-menu-placeholder.js-mobile-menu-placeholder.open .main-navigation {
    display: block;
}
